Debian Bug report logs - #706702
libbtm-java: FTBFS with openjdk-7

version graph

Package: libbtm-java; Maintainer for libbtm-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libbtm-java is src:libbtm-java.

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Fri, 3 May 2013 15:15:02 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version 2.1.2

Fixed in version libbtm-java/2.1.4-1

Done: tony mancill <tmancill@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#706702; Package libbtm-java. (Fri, 03 May 2013 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 03 May 2013 15:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: libbtm-java: FTBFS with openjdk-7
Date: Fri, 3 May 2013 23:11:50 +0800
[Message part 1 (text/plain, inline)]
Package: libbtm-java
Version: 2.1.2
Tags: patch

Fail to build with OpenJDK7 for some abstract methods need to be
implemented.

Here goes the build log: also see the attatchment buildlog

dh build
   debian/rules override_dh_auto_build
make[1]: Entering directory `/home/yesx/source/libbtm-java-2.1.2'
CLASSPATH=/usr/share/java/slf4j-api.jar:/usr/share/java/geronimo-jms_1.1_spec-1.1.jar:/usr/share/java/geronimo-jta-1.0.1b-spec.jar:/usr/share/java/mockito-core.jar
ant -Djar.version=2.1.2
Buildfile: /home/yesx/source/libbtm-java-2.1.2/build.xml

    [javac] /home/yesx/source/libbtm-java-2.1.2/build.xml:45: warning:
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set
to false for repeatable builds
    [javac] Compiling 133 source files to
/home/yesx/source/libbtm-java-2.1.2/dist/classes
    [javac] warning: [options] bootstrap class path not set in conjunction
with -source 1.5
    [javac]
/home/yesx/source/libbtm-java-2.1.2/src/bitronix/tm/resource/jdbc/PoolingDataSource.java:48:
error: PoolingDataSource is not abstract and does not override abstract
method getParentLogger() in CommonDataSource
    [javac] public class PoolingDataSource extends ResourceBean implements
DataSource, XAResourceProducer, PoolingDataSourceMBean {
    [javac]        ^
    [javac]
/home/yesx/source/libbtm-java-2.1.2/src/bitronix/tm/resource/jdbc/lrc/LrcXADataSource.java:37:
error: LrcXADataSource is not abstract and does not override abstract
method getParentLogger() in CommonDataSource
    [javac] public class LrcXADataSource implements XADataSource {
    [javac]        ^
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 2 errors
    [javac] 1 warning

I try to fix it. The patch is in the attatchments, transition-to-openjdk7


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[buildlog (application/octet-stream, attachment)]
[transition-to-openjdk7 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#706702; Package libbtm-java. (Fri, 03 May 2013 15:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 03 May 2013 15:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 706702@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 706702@bugs.debian.org
Subject: More information
Date: Fri, 3 May 2013 23:36:35 +0800
[Message part 1 (text/plain, inline)]
I try to build a few times, but sometimes it fails to pass the test.


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]

Severity set to 'serious' from 'normal' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 22 Jun 2013 12:06:36 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 12:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#706702; Package libbtm-java. (Tue, 30 Jul 2013 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 30 Jul 2013 08:39:04 GMT) Full text and rfc822 format available.

Message #19 received at 706702@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: 706702@bugs.debian.org
Subject: Report to upstream
Date: Tue, 30 Jul 2013 16:37:13 +0800
[Message part 1 (text/plain, inline)]
Hi,
I've reported this bug to the upstream.
See it here:
http://bitronix-transaction-manager.10986.n7.nabble.com/libbtm-java-2-1-2-Fail-to-build-from-source-with-Java7-td1499.html

-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]

Reply sent to tony mancill <tmancill@debian.org>:
You have taken responsibility. (Mon, 18 Nov 2013 06:54:05 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Mon, 18 Nov 2013 06:54:05 GMT) Full text and rfc822 format available.

Message #24 received at 706702-close@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 706702-close@bugs.debian.org
Subject: Bug#706702: fixed in libbtm-java 2.1.4-1
Date: Mon, 18 Nov 2013 06:51:34 +0000
Source: libbtm-java
Source-Version: 2.1.4-1

We believe that the bug you reported is fixed in the latest version of
libbtm-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
tony mancill <tmancill@debian.org> (supplier of updated libbtm-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 18 Nov 2013 06:35:15 +0000
Source: libbtm-java
Binary: libbtm-java
Architecture: source all
Version: 2.1.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: tony mancill <tmancill@debian.org>
Description: 
 libbtm-java - Bitronix JTA Transaction Manager
Closes: 706702
Changes: 
 libbtm-java (2.1.4-1) unstable; urgency=low
 .
   * Team upload.
   * New upstream release.
   * Add and freshen patch for FTBFS with JDK 7. (Closes: #706702)
     - Thanks to Shuxiong Ye
   * Add fix-jms-proper-usage-mock-test.patch to address FTBFS test failure.
   * Bump Standards-Version to 3.9.5.
   * Bump debian/compat and debhelper dependency to 9.
   * Update Vcs fields to canonical URLs.
Checksums-Sha1: 
 bb56d3dbc488e4d1740a3b2e62896eb6259c50e1 2157 libbtm-java_2.1.4-1.dsc
 0c714021c742b0755b1a0fc07060db3a39fc2257 544246 libbtm-java_2.1.4.orig.tar.gz
 b84c50cef1c08097037c7c29a33c516ade983d07 4248 libbtm-java_2.1.4-1.debian.tar.gz
 fc4e6fb67d4e75c0fb1127459692c4473d0cea68 276420 libbtm-java_2.1.4-1_all.deb
Checksums-Sha256: 
 6262933c70b1cf12d134711db64901ee39080556ba55aedbd0a0602d1a7c85e4 2157 libbtm-java_2.1.4-1.dsc
 ede0481c66413ee2cada4ea99ebb5940120a9990e163ecd3aea59ace3a15b35b 544246 libbtm-java_2.1.4.orig.tar.gz
 14492a8e1d9e35b767400a7421b6333bfea2ddae45c6225e4d6b1f2cfe80e75e 4248 libbtm-java_2.1.4-1.debian.tar.gz
 49e785c10232bedbea5efb9245faa92fb06fb321ca23ddcc02c67938a90b91b4 276420 libbtm-java_2.1.4-1_all.deb
Files: 
 1a534e4e744ec1932c2178b13412c4c3 2157 java optional libbtm-java_2.1.4-1.dsc
 c07f3a2fca490303262d3c84594f24ff 544246 java optional libbtm-java_2.1.4.orig.tar.gz
 9141a1a0f174ac4b31e12d05d75b633e 4248 java optional libbtm-java_2.1.4-1.debian.tar.gz
 66865eddc000d84dad5a379aa74bc731 276420 java optional libbtm-java_2.1.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCgAGBQJSibXLAAoJECHSBYmXSz6WfHAQAKEgDMI14XPy2KfDLDjVULYK
eyA6nF3EO/W5VyxZckwHKrwhnvc1pswbKxR2NhewTLwDFF1AH/iKAHe2WRTNxLUR
zQ7G04/6Us3AFzFfVZ/Q7sGayCYN3rN9XVvQyw5qTb6LA4HXgC4UjSvnOCb/Vbzf
yCBscpgSECBwUa8IkF7OWFPAPZgFw7eYAE7d8Q81Rf4xg7qhKfChjBAUy7XqnNQD
Y6v8afMH6M69w3IXx84gq3IEoGXmncUtv54tHaaQVONLnnnxEntmuEa4kvKA+yn/
JbpmHlp04AUsZ7bMyd2NZeay0oOljvXsyo4aTwsH3xn7I7C4npvdAk+7mSI6tPy0
G4Y8GSE4l2xVYFmf3Azbe3/kuYc7o70pfHrE5uCyHu1r5nT6e41+WggsE8s+kZ1L
C68TV/7h228nYoP9FeBpVM42PcpP5veKYkJp3bbEvxjfxfP4ssgBhu9GuYxRvKXJ
SwNL3LxeU2Zn9xY0rnCHgSVhO7/ZdrG6zb9s93fOpbnK00ZquMvirUgt7Qp3JZDz
XjgtRXllrkr6Urc0V6gijFIGZs+A4cCfSiKvlqvXr7tg1Mdi9sC2FUcuT6pxfw11
8r+u4fd8nvSWJx0OUE+aQ4DV4onOSqCUAdLFZ9jz/90/23rKSYiDm3Jeugchh4k4
4rkbx1Xl3INzdYm6Rao5
=xhfD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Dec 2013 07:25:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:02:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.